package com.yeejoin.amos.boot.module.ugp.api.Enum;

import lombok.AllArgsConstructor;
import lombok.Getter;
import org.apache.xmlbeans.impl.xb.xsdschema.Public;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;


@Getter
@AllArgsConstructor
public enum CompanyTypeEnum {

    建设单位("CONSTRUCTION","建设单位"),
    安装单位("INSTALL","安装单位"),
    设计单位("DESIGN","设计单位"),
    监检机构("MONITORING","监检机构");

    String key;
    String type;


    public static List<Map<String,String>> mapList = new ArrayList<>();

    static{
        for(CompanyTypeEnum companyTypeEnum:CompanyTypeEnum.values()){
            Map<String,String> map = new HashMap();
            map.put("name", companyTypeEnum.getType());
            map.put("id", companyTypeEnum.getKey());
            mapList.add(map);
        }
    }
}
